Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime.objectprovider
Class ResultListIterator

    java.lang.Object
      |
      +--com.solarmetric.kodo.runtime.objectprovider.ResultListIterator

All Implemented Interfaces:
  Iterator, ListIterator

public class ResultListIterator
extends Object
implements ListIterator

Wrapper iterator that will return false for `hasNext()` if the owning ResultList has been closed.

Since:
  2.2.6

Constructor Summary
`ResultListIterator(ListIterator li, ResultList rl)`

Method Summary
`void` | `add(Object o)`
`boolean` | `hasNext()`
`boolean` | `hasPrevious()`
`Object` | `next()`
`int` | `nextIndex()`
`Object` | `previous()`
`int` | `previousIndex()`
`void` | `remove()`
`void` | `set(Object o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultListIterator

    public ResultListIterator(ListIterator li,
                              ResultList rl)

Method Detail

### add

    public void add(Object o)

  Specified by:
    `add` in interface `ListIterator`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `ListIterator`

### hasPrevious

    public boolean hasPrevious()

  Specified by:
    `hasPrevious` in interface `ListIterator`

### next

    public Object next()

  Specified by:
    `next` in interface `ListIterator`

### nextIndex

    public int nextIndex()

  Specified by:
    `nextIndex` in interface `ListIterator`

### previous

    public Object previous()

  Specified by:
    `previous` in interface `ListIterator`

### previousIndex

    public int previousIndex()

  Specified by:
    `previousIndex` in interface `ListIterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `ListIterator`

### set

    public void set(Object o)

  Specified by:
    `set` in interface `ListIterator`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.